function [sigma_n1,n_n1_trial] = CPP(sigma_n1_trial,gamma_n1,C,delta_t)

% 

% Recovery of the material parameters
    my = C(11)  ;
    K = C(3)    ;
    H = C(4)    ;

sigma_trial = ToMatrix(sigma_n1_trial(1:6));
q_trial = sigma_n1_trial(7);
q_bar_trial = ToMatrix(sigma_n1_trial(8:13));

n_trial = (Deviatoric(sigma_trial)-q_bar_trial)/(norm(Deviatoric(sigma_trial)-q_bar_trial));

sigma = ToVoigt(sigma_trial - gamma_n1*delta_t*2*my*n_trial);
q = q_trial - gamma_n1*delta_t*K*sqrt(2/3);
q_bar = ToVoigt(q_bar_trial + gamma_n1*delta_t*2/3*H*n_trial);

n_n1_trial = n_trial ;
sigma_n1 = [sigma,q,q_bar];